Skip to main content
GET
/
public
/
workspace
/
{workspaceId}
/
projects
/
{projectId}
Get project
curl --request GET \
  --url https://api.userplane.com/api/v1/public/workspace/{workspaceId}/projects/{projectId} \
  --header 'Authorization: Bearer <token>'
{
  "message": "<string>",
  "data": {
    "workspaceId": "<string>",
    "project": {
      "projectId": "<string>",
      "projectTitle": "<string>",
      "isDefault": true,
      "recordingRetentionDays": 123,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  }
}
Returns details for a specific project in the workspace.

Errors

Error codeStatusDescription
PROJECT_NOT_FOUND404Project does not exist
PROJECT_GONE410Project has been deleted
Also returns common authentication errors.

List Projects

Paginated list of all projects in a workspace

List Links

Recording links filtered by project

List Recordings

Recordings filtered by project

Get Workspace

Workspace details for this project

Authorizations

Authorization
string
header
required

API key with uspl_ prefix. Create keys at dash.userplane.io/_/account?tab=developers

Path Parameters

workspaceId
string
required
Minimum string length: 1
projectId
string
required
Minimum string length: 1

Response

OK

message
string
required
data
object
required